Update Achievement
curl --request PATCH \
--url https://api.member.dev/api/v1/teams/{team_id}/achievements/{achievement_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"appearance": {
"color": "#5581f4",
"content_color": "#ffffff",
"emoji": "<string>",
"fill_color": "<string>",
"icon": "<string>",
"image_src": "<string>",
"shape": "hexagon",
"text": "<string>"
},
"award_mode": "<string>",
"category": "<string>",
"description": "<string>",
"email_notification_enabled": true,
"is_active": true,
"is_secret": true,
"points": 1,
"title": "<string>"
},
"type": "<string>"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/achievements/{achievement_id}"
payload = { "data": {
"attributes": {
"appearance": {
"color": "#5581f4",
"content_color": "#ffffff",
"emoji": "<string>",
"fill_color": "<string>",
"icon": "<string>",
"image_src": "<string>",
"shape": "hexagon",
"text": "<string>"
},
"award_mode": "<string>",
"category": "<string>",
"description": "<string>",
"email_notification_enabled": True,
"is_active": True,
"is_secret": True,
"points": 1,
"title": "<string>"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
appearance: {
color: '#5581f4',
content_color: '#ffffff',
emoji: '<string>',
fill_color: '<string>',
icon: '<string>',
image_src: '<string>',
shape: 'hexagon',
text: '<string>'
},
award_mode: '<string>',
category: '<string>',
description: '<string>',
email_notification_enabled: true,
is_active: true,
is_secret: true,
points: 1,
title: '<string>'
},
type: '<string>'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/achievements/{achievement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"award_mode": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email_notification_enabled": true,
"is_active": true,
"is_secret": true,
"points": 123,
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"appearance": {
"color": "#5581f4",
"content_color": "#ffffff",
"emoji": "<string>",
"fill_color": "<string>",
"icon": "<string>",
"image_src": "<string>",
"shape": "hexagon",
"text": "<string>"
},
"category": "<string>",
"description": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}achievements-admin
Update Achievement
Partial-update an achievement definition (PATCH semantics — exclude_unset).
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
achievements
/
{achievement_id}
Update Achievement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Top-level JSON:API request envelope for PATCH /achievements/{id}.
JSON:API data envelope for PATCH /achievements/{id}.
Show child attributes
Show child attributes
⌘I